Package ghidra.app.util.bin.format.macho.commands.dyld

# Class OpcodeTable

java.lang.Object
ghidra.app.util.bin.format.macho.commands.dyld.OpcodeTable

Direct Known Subclasses:
  `BindingTable`, `RebaseTable`

public abstract class OpcodeTable extends Object
Abstract class used to represent the generic components of a Mach-O opcode table

See Also:
  - common/MachOLayout.cpp
  - common/MachOAnalyzer.cpp

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Long>`
  `opcodeOffsets`
  `protected List<Long>`
  `slebOffsets`
  `protected List<Long>`
  `stringOffsets`
  `protected List<Long>`
  `ulebOffsets`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpcodeTable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Long>`
  `getOpcodeOffsets()`
  Returns opcode offsets from the start of the bind data.
  `List<Long>`
  `getSlebOffsets()`
  Returns SLEB128 offsets from the start of the bind data.
  `List<Long>`
  `getStringOffsets()`
  Returns string offsets from the start of the bind data.
  `List<Long>`
  `getUlebOffsets()`
  Returns ULEB128 offsets from the start of the bind data.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### opcodeOffsets

    protected List<Long> opcodeOffsets

  - ### ulebOffsets

    protected List<Long> ulebOffsets

  - ### slebOffsets

    protected List<Long> slebOffsets

  - ### stringOffsets

    protected List<Long> stringOffsets

- ## Constructor Details

  - ### OpcodeTable

    public OpcodeTable()

- ## Method Details

  - ### getOpcodeOffsets

    public List<Long> getOpcodeOffsets()
    Returns opcode offsets from the start of the bind data.
    Returns:
      opcode offsets from the start of the bind data

  - ### getUlebOffsets

    public List<Long> getUlebOffsets()
    Returns ULEB128 offsets from the start of the bind data.
    Returns:
      ULEB128 offsets from the start of the bind data

  - ### getSlebOffsets

    public List<Long> getSlebOffsets()
    Returns SLEB128 offsets from the start of the bind data.
    Returns:
      SLEB128 offsets from the start of the bind data

  - ### getStringOffsets

    public List<Long> getStringOffsets()
    Returns string offsets from the start of the bind data.
    Returns:
      string offsets from the start of the bind data